# $Revision: 1.68.2.1 $, $Date: 2007/07/19 19:32:53 $
#
# Conditional build:
%bcond_without	libsmi	# Build without SMI support
#
Summary:	dumps packets that are sent or received over a network interface
Summary(de):	deponiert Pakete, die ber eine Netzwerkschnittstelle gesandt oder empfangen werden
Summary(es):	Ensea los paquetes que son enviados o recibidos a travs de una interface de red
Summary(fr):	vide les paquets mis ou reus sur une interface rseau
Summary(pl):	Pokazuje pakiety przechodzce przez interfejsy sieciowe
Summary(pt_BR):	Mostra os pacotes que so enviados ou recebidos atravs de uma interface de rede
Summary(ru):	    
Summary(tr):	Bir a arabirimi zerinden gelen ya da giden paketleri listeler
Summary(uk):	  Φ  Ʀ
Name:		tcpdump
Version:	3.9.6
Release:	1
Epoch:		1
License:	BSD
Group:		Applications/Networking
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	f564e46e595603ce908b54074e3709d3
Patch0:		%{name}-CVE-2007-3798.patch
URL:		http://www.tcpdump.org/
BuildRequires:	automake
BuildRequires:	libpcap-devel >= 2:0.9.4
%{?with_libsmi:BuildRequires:	libsmi-devel}
BuildRequires:	openssl-devel >= 0.9.7d
# beware of tar 1.13.9[12] madness (tarball contains tcpdump-3.8.3/./* paths)
BuildRequires:	tar >= 1:1.13.93
Requires:	libpcap >= 2:0.9.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcpdump prints out the headers of packets on a network interface. It
is very useful for debugging network problems and security operations.

%description -l de
Tcpdump druckt die Headers von Paketen auf einer Netzschnittstelle. Es
ist beraus ntzlich zum Debuggen von Netzwerkproblemen und von
Sicherheitsoperationen.

%description -l es
Tcpdump imprime los encabezamientos de los paquetes en una interface
de red. Es muy prctico para solucionar problemas en la red y para
operaciones de seguridad.

%description -l fr
tcpdump affiche les en-ttes des paquets d'une interface rseau. Il
est trs utile pour dtecter les problmes de rseau et de scurit.

%description -l pl
Tcpdump suy do analizy pakietw przechodzcych przez interfejsy
sieciowe, jest uytecznym narzdziem do ledzenia ruchu w sieci.

%description -l pt_BR
Tcpdump imprime os cabealhos dos pacotes em uma interface de rede.
Ele  muito prtico para resolver problemas na rede e para operaes
de segurana.

%description -l ru
Tcpdump   ,    .
       .

%description -l tr
Tcpdump, bir a arabirimi zerinden geen paketlerin balklarn
dker. Gvenlik ilemleri ve a problemlerinin irdelenmesi konularnda
son derece yararldr.

%description -l uk
Tcpdump   Ԧ,    
. ͦ  Ħ    
.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README TODO
%attr(755,root,root) %{_sbindir}/tcpdump
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcpdump.spec,v $
Revision 1.68.2.1  2007/07/19 19:32:53  undefine
- up to 3.9.6
- add tcpdump-CVE-2007-3798.patch

Revision 1.68  2005/10/13 11:06:53  qboosh
- updated to 3.9.4
- removed obsolete pcap_debug,CAN-2005-1279_1280,bgp-infinite-loop2 patches

Revision 1.67  2005/06/20 08:47:15  qboosh
- added bgp-infinite-loop2 patch from Gentoo (fixes CAN-2005-1267)
- it appears that CAN-2005-1279_1280 patch fixed CAN-2005-1278 as well
- release 7

Revision 1.66  2005/06/13 21:30:52  glen
- TODO security

Revision 1.65  2005/05/12 18:05:32  adamg
- strict BR

Revision 1.64  2005/05/12 17:56:28  adamg
- release 6 (rebuild with fixed -pcap_debug.patch)

Revision 1.63  2005/05/09 22:54:03  adamg
- release 4 for Th

Revision 1.62  2005/05/09 22:52:08  adamg
- patch for CAN-2005-1279 and CAN-2005-1280
- stricter BR: libpcap-devel
- release 3

Revision 1.61  2005/05/09 21:50:42  glen
- TODO security

Revision 1.60  2005/01/29 17:08:24  areq
- add pcap_debug.patch (fix for gcc-3.4.3)

Revision 1.59  2004/03/31 14:14:16  qboosh
- release 2

Revision 1.58  2004/03/31 10:50:00  qboosh
- refresh config.sub for amd64

Revision 1.57  2004/03/31 10:44:23  qboosh
- updated to 3.8.3 (fixes CAN-2004-0183, CAN-2004-0184)
- removed workarounds, require tar 1.13.93

Revision 1.56  2004/03/19 23:46:38  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.55  2004/02/03 15:53:16  qboosh
- added patches for CAN-2004-0055,CAN-2004-0057 (BTS#822)
- release 2

Revision 1.54  2004/01/03 00:10:59  qboosh
- tar 1.13.9x compat, added docs

Revision 1.53  2004/01/01 20:41:48  adamg
- updated to 3.8.1
- new style bcond
- documented libsmi bcond
- removed -ssl patch

Revision 1.52  2003/11/18 00:09:52  undefine
- release 2 to rebuild with ac

Revision 1.51  2003/09/30 20:18:35  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.50  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.49  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 06:27:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/03/10 16:19:59  areq
- remove no-libsmi.patch

Revision 1.46  2003/03/05 07:53:10  misiek
- updated to 3.7.2

Revision 1.45  2003/02/13 14:06:54  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.44  2003/01/11 01:30:33  kloczek
- release 2,
- merge translations from KSI,
- merge snaplen patch from Conctiva (fix sigsegv).

Revision 1.43  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/04 15:14:45  kloczek
- merge translations from Conectiva.

Revision 1.40  2002/02/04 11:57:00  misiek
- updated to 3.7.1

Revision 1.39  2002/01/18 02:15:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/10/09 12:56:45  qboosh
- fixed typo, removed gzipping of man pages

Revision 1.37  2001/08/09 22:59:20  agaran
- s/configure/configure2_13/ somebody want to fix that better?

Revision 1.36  2001/05/22 09:06:52  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ ->
  _without_); no release changes only simple s/// perfored

Revision 1.35  2001/05/09 01:37:16  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.34  2001/02/07 23:06:19  kloczek
- adapterized.

Revision 1.33  2001/02/07 21:52:01  misiek
- 3.6.2

Revision 1.32  2001/01/12 15:16:15  misiek
- official 3.6.1 release

Revision 1.31  2001/01/07 12:42:14  misiek
- 3.6 prerelease

Revision 1.30  2000/12/28 15:25:15  baggins
- allow build without libsmi (define _without_libsmi for it)

Revision 1.29  2000/12/17 12:26:32  misiek
- updated to cvs20001217

Revision 1.28  2000/12/14 16:35:12  baggins
- release 2
- removed debug
- use rpm_opt_flags

Revision 1.27  2000/12/04 21:39:11  misiek
- updated to 1204

Revision 1.26  2000/12/02 21:49:10  misiek
- updated to cvs20001202

Revision 1.25  2000/11/04 20:57:56  misiek
- added libsmi patch

Revision 1.24  2000/11/03 14:04:02  misiek
- once again cvs version

Revision 1.22  2000/11/01 01:14:39  misiek
- added FreeBSD CERT patch

Revision 1.21  2000/08/01 11:12:57  zagrodzki
- updated to 3.5.2

Revision 1.20  2000/07/28 18:28:30  kloczek
- spec adapterized.

Revision 1.19  2000/07/14 13:31:55  wiget
- version 3.5
- added ssl patch and fixes patch from ports-devel

Revision 1.18  2000/06/09 07:55:12  kloczek
- more %{__make} macros.

Revision 1.17  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.16  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.14  1999/11/27 08:17:55  kloczek
- added Serial: 1 to allow upgrade from RH package.

Revision 1.13  1999/11/27 08:02:59  kloczek
- release 17 (in rawhide id 16),
- added giop patch from ORBit resources which allow decode CORBA GIOP,
- added iphl and sparc64 patches from rawhide,
- build against shared libpcap.

Revision 1.12  1999/08/05 14:06:20  kloczek
- revision changed to 11 (in rawhide is 10).

Revision 1.11  1999/08/05 13:54:00  kloczek
- added using %configure macro,
- man page for tcpdump moved to proper pace (man1),
- added DESTDIR style installing (added for this make patch).

Revision 1.10  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.9  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

Revision 1.7  1999/07/03 17:06:12  misiek
- updated to 3.4. IPv6 patches replaced by ANK patches

* Wed Jun 23 1999 Micha Kuratczyk <kura@pld.org.pl>
  [3.4a6-2]
- gzipping documentation instead bzipping
- added Group(pl)
- more RPM macros
- added using %configure

* Tue Jul 2 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [3.4a6-1d]
- build against glibc-2.1,
- added IPv6 support,
- updatet to relase 3.4a6,
- translation modified for pl,
- changed permission of tcpdump to 711,
- moved %changelog at the end of spec.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May  2 1998 Alan Cox <alan@rehat.com>
- Added the SACK printing fix so you can dump Linux 2.1+.

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to release 3.4a5
- uses a buildroot and %attr

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
